Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge multisync fails on evolution plugin
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
agelmar
n00b
n00b


Joined: 04 Jan 2004
Posts: 35

PostPosted: Wed Jan 18, 2006 10:18 pm    Post subject: emerge multisync fails on evolution plugin Reply with quote

I can't seem to emerge multisync since I added "evo" to my useflags. (I'm trying to get it to compile with the evolution plugin). It compiled fine when evo was not in my use flags. I tried emerge --newuse multisync, I tried re-emerging evolution, I tried practically everything. It always fails out near the end with:

/bin/sh ../libtool --mode=link i686-pc-linux-gnu-gcc -O2 -march=pentium4 -pipe -funroll-loops -o libevolution2_sync.la -rpath /usr/lib/multisync @EVO_LDFLAGS@ -avoid-version -export-dynamic -module evolution_sync.lo evolution_ebook.lo evolution_ecal.lo evolution_etodo.lo xml.lo gui.lo support.lo interface.lo callbacks.lo -Wl,--export-dynamic -pthread -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lgnomecanvas-2 -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -ledata-book-1.2 -lebook-1.2 -ledata-cal-1.2 -lecal-1.2 -ledataserver-1.2 -lgnome-2 -lpopt -lxml2 -lz -lgnomevfs-2 -lbonobo-2 -lgconf-2 -lbonobo-activation -lORBit-2 -lm -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0 -lpthread @EVO_LIBS@
i686-pc-linux-gnu-gcc -shared .libs/evolution_sync.o .libs/evolution_ebook.o .libs/evolution_ecal.o .libs/evolution_etodo.o .libs/xml.o .libs/gui.o .libs/support.o .libs/interface.o .libs/callbacks.o /usr/lib/libgnomeui-2.so -L/usr/lib -lSM -lICE /usr/lib/libbonoboui-2.so /usr/lib/libgnomecanvas-2.so /usr/lib/libart_lgpl_2.so /usr/lib/libpangoft2-1.0.so /usr/lib/libgtk-x11-2.0.so /usr/lib/libgdk-x11-2.0.so /usr/lib/libatk-1.0.so /usr/lib/libgdk_pixbuf-2.0.so /usr/lib/libpangocairo-1.0.so /usr/lib/libpango-1.0.so /usr/lib/libcairo.so /usr/lib/libgobject-2.0.so /usr/lib/libedata-book-1.2.so -L/usr/lib/nspr -L/usr/lib/nss /usr/lib/libebook-1.2.so /usr/lib/libedata-cal-1.2.so /usr/lib/libecal-1.2.so /usr/lib/libedataserver-1.2.so /usr/lib/libgnome-2.so /usr/lib/libpopt.so /usr/lib/libxml2.so -lz /usr/lib/libgnomevfs-2.so /usr/lib/libbonobo-2.so /usr/lib/libgconf-2.so /usr/lib/libbonobo-activation.so /usr/lib/libORBit-2.so -lm /usr/lib/libgmodule-2.0.so -ldl /usr/lib/libgthread-2.0.so /usr/lib/libglib-2.0.so -lpthread -march=pentium4 @EVO_LDFLAGS@ -Wl,--export-dynamic -pthread @EVO_LIBS@ -Wl,-soname -Wl,libevolution2_sync.so -o .libs/libevolution2_sync.so
i686-pc-linux-gnu-gcc: @EVO_LDFLAGS@: No such file or directory
i686-pc-linux-gnu-gcc: @EVO_LIBS@: No such file or directory
make[2]: *** [libevolution2_sync.la] Error 1
make[2]: Leaving directory `/var/tmp/portage/multisync-0.83_pre20050414-r2/work/multisync/plugins/evolution2_sync/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/multisync-0.83_pre20050414-r2/work/multisync/plugins/evolution2_sync'
make: *** [all] Error 2

!!! ERROR: app-pda/multisync-0.83_pre20050414-r2 failed.

Any thoughts?

--> edit <-- I get the same thing with app-pda/multisync-0.83_pre20050414-r3
Back to top
View user's profile Send private message
ihtruelsen
Apprentice
Apprentice


Joined: 14 Mar 2003
Posts: 168
Location: Mill Bay, BC

PostPosted: Sat Jan 21, 2006 8:51 am    Post subject: Reply with quote

No help here, but a ditto.
Back to top
View user's profile Send private message
ihtruelsen
Apprentice
Apprentice


Joined: 14 Mar 2003
Posts: 168
Location: Mill Bay, BC

PostPosted: Sat Jan 21, 2006 9:43 am    Post subject: Reply with quote

Maybe some help:

Check bugs for multisync. You can get an ebuild for version 0.90, more accurately opensync.

I don't know whether it works yet, but everything compiles, so that can't be all bad, right? :roll:
Back to top
View user's profile Send private message
ramsesii
n00b
n00b


Joined: 07 Dec 2004
Posts: 28
Location: vienna

PostPosted: Sun Jan 22, 2006 2:29 pm    Post subject: Reply with quote

hi!

what about the v0.90 of multisync (opensync) - i could NOT compile any evoltuion2 plugin.

anybody?

thanx,
ramses
Back to top
View user's profile Send private message
ihtruelsen
Apprentice
Apprentice


Joined: 14 Mar 2003
Posts: 168
Location: Mill Bay, BC

PostPosted: Sun Jan 22, 2006 4:02 pm    Post subject: Reply with quote

I had no problem compiling it, but I have no idea if it works as advertised since my handheld is in the mail.

What problems did you have?
Back to top
View user's profile Send private message
ramsesii
n00b
n00b


Joined: 07 Dec 2004
Posts: 28
Location: vienna

PostPosted: Sun Jan 22, 2006 4:25 pm    Post subject: Reply with quote

what i read about it, there is NO evo2 plugin available yet.
Back to top
View user's profile Send private message
ihtruelsen
Apprentice
Apprentice


Joined: 14 Mar 2003
Posts: 168
Location: Mill Bay, BC

PostPosted: Sun Jan 22, 2006 8:00 pm    Post subject: Reply with quote

Its there. You just have to go to the download page:

http://www.opensync.org/wiki/download

Then grab the evolution2 plugin.
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Sun Jan 22, 2006 8:03 pm    Post subject: Reply with quote

Please follow up to MultiSync Build Fails.

Moved from Portage & Programming to Duplicate Threads.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum